> ## Documentation Index
> Fetch the complete documentation index at: https://docs.deribit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# public/hello

> Method used to introduce the client software connected to Deribit platform over websocket. Provided data may have an impact on the maintained connection and will be collected for internal statistical purposes. In response, Deribit will also introduce itself.

[Try in API console](https://test.deribit.com/api_console?method=%2Fpublic%2Fhello)





## OpenAPI

````yaml /specifications/deribit_openapi.json get /public/hello
openapi: 3.0.0
info:
  title: Deribit API
  version: 2.1.1
servers:
  - url: https://test.deribit.com/api/v2
security: []
tags:
  - name: WebSocket Only
    description: Can only be used over websockets.
  - name: Public
    description: Public methods can be used without authentication.
  - name: Private
    description: >-
      <p>Private methods require authentication. All requests must include a
      valid OAuth2 token.</p>

      <p>A token can be requested using the <a
      href="#public-auth">/public/auth</a> method.</p>

      <p>When using the websockets protocol, the token must be included as a
      parameter <code>access_token</code> in the message. When using REST (HTTP
      GET), the token may also be passed in the <code>Authorization</code>
      header.</p>
  - name: Authentication
  - name: Session Management
  - name: Subscription Management
    description: >-
      Subscription works as [notifications](#notifications), so users will
      automatically (after subscribing) receive messages from the server.
      Overview for each channel response format is described in
      [subscriptions](#subscriptions) section.
  - name: Account Management
  - name: Trading
  - name: Market Data
  - name: Wallet
  - name: Chat
paths:
  /public/hello:
    get:
      tags:
        - Supporting
        - Public
        - WebSocket Only
      description: >+
        Method used to introduce the client software connected to Deribit
        platform over websocket. Provided data may have an impact on the
        maintained connection and will be collected for internal statistical
        purposes. In response, Deribit will also introduce itself.


        [Try in API
        console](https://test.deribit.com/api_console?method=%2Fpublic%2Fhello)

      parameters:
        - name: client_name
          in: query
          schema:
            type: string
            example: My Trading Software
          required: true
          description: Client software name
        - name: client_version
          in: query
          schema:
            type: string
            example: 1.0.2
          required: true
          description: Client software version
      requestBody:
        content:
          application/json:
            examples:
              request:
                value:
                  jsonrpc: '2.0'
                  id: 2841
                  method: public/hello
                  params:
                    client_name: My Trading Software
                    client_version: 1.0.2
                description: JSON-RPC Request Example
        description: JSON-RPC request body
      responses:
        '200':
          $ref: '#/components/responses/PublicTestResponse'
components:
  responses:
    PublicTestResponse:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/PublicTestResponse'
          examples:
            response:
              value:
                jsonrpc: '2.0'
                id: 8212
                result:
                  version: 1.2.26
              description: Response example
      description: Success response
  schemas:
    PublicTestResponse:
      properties:
        jsonrpc:
          type: string
          enum:
            - '2.0'
          description: The JSON-RPC version (2.0)
        id:
          type: integer
          description: The id that was sent in the request
        result:
          type: object
          properties:
            version:
              example: 2.1.26
              type: string
              description: The API version
          required:
            - version
      required:
        - jsonrpc
        - result
      type: object

````